Summary: A library for manipulating GIF format image files.
Name: libungif
Version: 4.1.0
Release: 15.2.legacy
License: X-like
URL:	http://prtr-13.ucsc.edu/~badger/software/libungif/
Source0: ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-%{version}b1.tar.bz2
Patch: libungif-4.1.0-stdarg.patch
Patch1: libungif-CVS.patch
Patch2: libungif-4.1.0b1-colormap.patch
Patch3: libungif-4.1.0-rle.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
# The following libgif.so handles packages built against the
# previous broken giflib package
Provides: libgif.so giflib
Obsoletes: giflib
Prefix: /usr
BuildRequires: XFree86-devel, netpbm-devel, texinfo

%description
The libungif package contains a shared library of functions for
loading and saving GIF format image files.  The libungif library can
load any GIF file, but it will save GIFs only in uncompressed format
(i.e., it won't use the patented LZW compression used to save "normal"
compressed GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package devel
Summary: Development tools for programs which will use the libungif library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the static libraries, header files and
documentation necessary for development of programs that will use the
libungif library to load and save GIF format image files.

You should install this package if you need to develop programs which
will use libungif library functions.  You'll also need to install the
libungif package.

%package progs
Summary: Programs for manipulating GIF format image files.
Group: Applications/Multimedia
Requires: %{name} = %{version}

%description progs
The libungif-progs package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the libungif package.

%prep
%setup -q -n %{name}-%{version}b1
%patch -p1 -b .stdarg
%patch1 -p1 -b .cvs
%patch2 -p1 -b .colormap
%patch3 -p1 -b .rle

%build
autoreconf --install --force
%configure
make all


%install
rm -rf ${RPM_BUILD_ROOT}

%{makeinstall}
ln -sf libungif.so.%{version} ${RPM_BUILD_ROOT}%{_libdir}/libgif.so.%{version}
ln -sf libgif.so.%{version} ${RPM_BUILD_ROOT}%{_libdir}/libgif.so.4
ln -sf libgif.so.4 ${RPM_BUILD_ROOT}%{_libdir}/libgif.so
ln -sf libungif.a ${RPM_BUILD_ROOT}%{_libdir}/libgif.a

chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/*.so*
chmod 644 ${RPM_BUILD_ROOT}%{_libdir}/*.a*
chmod 644 COPYING README UNCOMPRESSED_GIF NEWS ONEWS
chmod 644 doc/* util/giffiltr.c util/gifspnge.c

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/* util/giffiltr.c util/gifspnge.c
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files progs
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Wed Feb 22 2006 Marc Deslauriers <marcdeslauriers@videotron.ca> 4.1.0-15.2.legacy
- Added missing XFree86-devel, netpbm-devel and texinfo to BuildRequires
- Added patch from RHEL to get librle in

* Sun Feb 19 2006 Marc Deslauriers <marcdeslauriers@videotron.ca> 4.1.0-15.1.legacy
- Added patch to fix CVE-2005-2974 and CVE-2005-3350

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 4.1.0-14
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.1.0-10
- Clean up spec file
- Fix build with current auto* tools

* Fri Jun 08 2001 Than Ngo <than@redhat.com>
- fix to build against new libtool

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add some fixes from the current CVS tree

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Make the subpackages require the base package (Bug #14697)
- update URL
- add fixes from the homepage

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS adjustments (release 5)

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com> 4.1.0-4
- Add giflibcvs-small2crash.patch, which changes lib/dgif_lib.c to be
  whatever is currently in the libungif CVS, thus fixing bug number 9315.

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip libraries
- update URL
- some specfile tweaks

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
